Subject: Re: [syzbot] INFO: task hung in rfcomm_process_sessions (2)

From: syzbot <[email-masked]>
Date: Wed, 01 Feb 2023 20:55:28 -0800

syzbot suspects this issue was fixed by commit:

commit 1d80d57ffcb55488f0ec0b77928d4f82d16b6a90
Author: Ying Hsu <[email-masked]>
Date:   Wed Jan 11 03:16:14 2023 +0000

    Bluetooth: Fix possible deadlock in rfcomm_sk_state_change

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=154b77b5480000
start commit:   d888c83fcec7 fs: fix fd table size alignment properly
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=69c8957f4ac2dea6
dashboard link: https://syzkaller.appspot.com/bug?extid=d761775dff24be3ad4be
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=162ca1fd700000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=1036182d700000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: Bluetooth: Fix possible deadlock in rfcomm_sk_state_change

For information about bisection process see: https://goo.gl/tpsmEJ#bisection